Bug#397164: package name changed, please update your depends/recommends/conflicts field

Bastian Venthur venthur at debian.org
Sun Nov 5 20:53:03 CET 2006

Hi Loïc,

Loïc Minier wrote:
>         Hi,
> On Sun, Nov 05, 2006, Bastian Venthur wrote:
>> I've renamed the package gtk2-engines-gtk-qt-engine to gtk-qt-engine.
>  Argh, your package name doesn't match the policy at all:
> bee% apt-cache rdepends libgtk1.2 | grep engine
>   gtk-engines-xenophilia


>   gtk2-engines
>  Could you please rename to gtk2-engines-qt?  It's really bad now that
>  it's in testing already, and so close to release.

Which policy? A few months ago I asked on several lists (including
-gnome) whether I could rename the package. No real arguments against
the renaming where given and it turned out that there is not really a
policy about the naming scheme. In fact I feared that more people would
protest against my plan to rename the package, but after all there was
only one person arguing against the renaming.

My arguments were (in short):
- name confusing and misleading
- name does not fit in the gtk-engines-foo naming scheme (because it is
  in fact a KDE app not a Gnome one)
... and some other

I'm sorry you're disappointed by the name, but I don't intend to rename
it back.

>> I still provide a dummy package with the old name depending on the new
>> package, but I plan to remove it for etch+1.
>  Please file another bug when you *remove* gtk2-engines-gtk-qt from the
>  archive completely, and I'll remove the Conflicts.  Yes, this needs to
>  be etch+1.

Sure. I just filed the bug in order to in form you.

Best regards,


Bastian Venthur                                      http://venthur.de
Debian Developer                                 venthur at debian org

More information about the Pkg-gnome-maintainers mailing list